package intrinsic.flash.events;

public class InvokeEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public intrinsic.Array arguments;
	public intrinsic.flash.filesystem.File currentDirectory;

	/** Variables */

	/** Constants */
	public static final String INVOKE = "invoke";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public InvokeEvent() {
}

public InvokeEvent(String arg0) {
}

public InvokeEvent(String arg0, boolean arg1) {
}

public InvokeEvent(String arg0, boolean arg1, boolean arg2) {
}

public InvokeEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.filesystem.File arg3) {
}

public InvokeEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.filesystem.File arg3, intrinsic.Array arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
